wai-extra-3.0.29.2: Provides some basic WAI handlers and middleware.

Safe Haskell | Safe
Language | Haskell2010

Network.Wai.Header

Description

Some helpers for dealing with WAI `Header`s.

Synopsis

- contentLength :: [(HeaderName, ByteString)] -> Maybe Integer

# Documentation

contentLength :: [(HeaderName, ByteString)] -> Maybe Integer Source #

More useful for a response. A Wai Request already has a requestBodyLength